/*
 * This Kotlin source file was generated by the Gradle 'init' task.
 */
package rockpaperscissors

fun getGameChoice(optionsParam: Array<String>): String =
        optionsParam[(Math.random() * optionsParam.size).toInt()]

fun getUserChoice(optionsParam: Array<String>): String {
    // Ask for user choice.
    print("Please enter one of the following:")
    for (item in optionsParam) print(" $item")
    println(".")

    // Read user choice.
    val userInput = readLine()
    return ""
}

fun main(args: Array<String>) {
    val options = arrayOf("Rock", "Paper", "Scissors")
    val gameChoice = getGameChoice(options)
    maxValue("Pow!", 3)
}
